#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    for(int i=0;i<n;i++){
        int x1,x2,y1,y2,a,b;
        long long x,y,ans;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        x=max(0,(1+a-abs(x2-x1)));
        y=max(0,(1+b-abs(y2-y1)));
        ans=x*y;
        cout<<ans<<endl;
    }
}

